import type { AppRouteModule } from '@/router/types';
import { getParentLayout, LAYOUT } from '@/router/constant';
import { t } from '@/hooks/web/useI18n';

const dust: AppRouteModule = {
  path: '/dust',
  name: 'Dust',
  component: LAYOUT,
  redirect: '/dust/index',
  meta: {
    orderNo: 500,
    icon: 'ion:fire-outline',
    title: t('routes.vent.dust.dust'),
  },
  children: [
    {
      path: 'dust-home',
      name: 'dustHome',
      meta: {
        title: t('routes.vent.dust.home'),
      },
      // component: () => import('@/views/vent/dust/home/index.vue'),
      component: () => import('@/views/vent/dust/dustHome/index.vue'),
    },
    {
      path: 'dust-workFace',
      name: 'dustWorkFace',
      meta: {
        title: t('routes.vent.dust.workFace'),
      },
      component: () => import('@/views/vent/dust/wokeFace/index.vue'),
    },
  ],
};

export default dust;
