import type { AppRouteModule } from '@/router/types';

import { getParentLayout, LAYOUT } from '@/router/constant';
import { t } from '@/hooks/web/useI18n';

const fire: AppRouteModule = {
  path: '/fire',
  name: 'Fire',
  component: LAYOUT,
  redirect: '/fire/index',
  meta: {
    orderNo: 400,
    icon: 'ion:fire-outline',
    title: t('routes.vent.fire.fire'),
  },
  children: [
    {
      path: 'fire-home',
      name: 'fireHome',
      meta: {
        title: t('routes.vent.fire.home'),
      },
      component: () => import('@/views/vent/fire/fireHome/index.vue'),
    },
    {
      path: 'fire-workFace',
      name: 'fireWorkFace',
      meta: {
        title: t('routes.vent.fire.workFace'),
      },
      component: () => import('@/views/vent/fire/wokeFace/index.vue'),
    },
  ],
};

export default fire;
